import { AppDevPlugin, AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
import {
  WifiConfOption,
} from 'qcloud-iotexplorer-appdev-plugin-wificonf-core';

import { QrCode } from './qrcode';


export default class Plugin implements AppDevPlugin {
  static install(sdk: AppDevSdk) {
    sdk.plugins.wifiConfQrcode = {
      start(options: WifiConfOption) {
        const qrcode = new QrCode(sdk, {
          wifiConfType: 'Qrcode',
          ...options,
        });
        return qrcode.doBusiness();
      },
    };
  }
}
